Name: bubblewrap
Summary: Core execution tool for unprivileged containers
Group: Security
Version: 0.11.0
Release: %mkrel 1
License: LGPLv2+
URL: https://github.com/projectatomic/bubblewrap
Source0: %{url}/releases/download/v%{version}/%{name}-%{version}.tar.xz

# We always run autogen.sh
BuildRequires: gcc
BuildRequires: meson
BuildRequires: pkgconfig(libcap)
BuildRequires: pkgconfig(libselinux)
BuildRequires: xsltproc
BuildRequires: docbook-style-xsl

%description
Bubblewrap (/usr/bin/bwrap) is a core execution engine for unprivileged
containers that works as a setuid binary on kernels without
user namespaces.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_datadir}/bash-completion/completions/bwrap
%{_bindir}/bwrap
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_bwrap
%{_mandir}/man1/*



%changelog
* Sat May 03 2025 daviddavid <daviddavid> 0.11.0-1.mga10
+ Revision: 2180651
- new version: 0.11.0

* Wed Aug 14 2024 kekepower <kekepower> 0.10.0-1.mga10
+ Revision: 2086590
- Update to version 0.10.0

* Wed Nov 01 2023 daviddavid <daviddavid> 0.8.0-1.mga10
+ Revision: 2003230
- new version: 0.8.0

* Mon Nov 07 2022 kekepower <kekepower> 0.7.0-1.mga9
+ Revision: 1904481
- Update to version 0.7.0

* Wed May 11 2022 kekepower <kekepower> 0.6.2-1.mga9
+ Revision: 1857674
- Update to version 0.6.2

* Mon Mar 28 2022 umeabot <umeabot> 0.6.1-2.mga9
+ Revision: 1829588
- Mageia 9 Mass Rebuild

* Fri Feb 25 2022 kekepower <kekepower> 0.6.1-1.mga9
+ Revision: 1784825
- Update to version 0.6.1

* Fri Feb 25 2022 kekepower <kekepower> 0.6.0-1.mga9
+ Revision: 1784535
- Update to version 0.6.0

* Sun Sep 26 2021 luigiwalser <luigiwalser> 0.5.0-1.mga9
+ Revision: 1746481
- 0.5.0

* Mon Mar 30 2020 daviddavid <daviddavid> 0.4.1-1.mga8
+ Revision: 1562404
- new version: 0.4.1

* Tue Feb 18 2020 umeabot <umeabot> 0.4.0-2.mga8
+ Revision: 1538802
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 daviddavid <daviddavid> 0.4.0-1.mga8
+ Revision: 1463105
- new version: 0.4.0

* Wed May 01 2019 kekepower <kekepower> 0.3.3-1.mga7
+ Revision: 1396065
- Update to version 0.3.3

* Mon Oct 01 2018 daviddavid <daviddavid> 0.3.1-1.mga7
+ Revision: 1314295
- new version 0.3.1

* Sat Sep 22 2018 umeabot <umeabot> 0.3.0-2.mga7
+ Revision: 1295721
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 ngompa <ngompa> 0.3.0-1.mga7
+ Revision: 1254458
- Update to 0.3.0
- Re-enable libselinux integration for optional SELinux enablement

* Sat Jul 14 2018 wally <wally> 0.2.1-1.mga7
+ Revision: 1243714
- new version 0.2.1

* Wed May 02 2018 wally <wally> 0.2.0-2.mga7
+ Revision: 1224752
- build without optional selinux as we don't really support it

* Sun Nov 19 2017 ngompa <ngompa> 0.2.0-1.mga7
+ Revision: 1177823
- Upgrade to 0.2.0

* Thu Apr 27 2017 ngompa <ngompa> 0.1.8-1.mga6
+ Revision: 1097786
- Update to 0.1.8

* Sun Jan 29 2017 ngompa <ngompa> 0.1.7-1.mga6
+ Revision: 1084101
- Upgrade to 0.1.7 (Resolves CVE-2017-5226)

* Mon Jan 16 2017 ngompa <ngompa> 0.1.6-1.mga6
+ Revision: 1082027
- Upgrade to v0.1.6

* Tue Dec 13 2016 ngompa <ngompa> 0.1.4-1.mga6
+ Revision: 1074437
- Upgrade to 0.1.4

* Wed Oct 26 2016 ngompa <ngompa> 0.1.3-1.mga6
+ Revision: 1063585
- Upgrade to 0.1.3

* Fri Oct 14 2016 ngompa <ngompa> 0.1.2-2.mga6
+ Revision: 1060792
- Add patch to mitigate CVE-2016-8659 (mga#19579, rhbz#1384393)

* Sun Sep 25 2016 ngompa <ngompa> 0.1.2-1.mga6
+ Revision: 1055951
- Upgrade to 0.1.2

* Mon Aug 01 2016 ngompa <ngompa> 0.1.1-3.mga6
+ Revision: 1044196
- imported package bubblewrap


* Mon Aug 01 2016 Neal Gompa <ngompa13@gmail.com> - 0.1.1-3
- Port to Mageia

* Tue Jul 12 2016 Igor Gnatenko <ignatenko@redhat.com> - 0.1.1-2
- Trivial fixes in packaging

* Fri Jul 08 2016 Colin Walters <walters@verbum.org> - 0.1.1
- Initial package
